/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.medialibrary__list {
    display: flex;
    flex-wrap: wrap;
}

.medialibrary__li {
    display: flex;
    list-style: none;
}

.medialibrary__uploadbox {
    background: _palette(border);
}

.medialibrary__upload {
    flex-direction: column;
}

.medialibrary__dropzone {
    background: _palette(border);
    border-radius: _size(border-radius);
    width: 192px * 2;
    height: 108px;
    margin: auto;
    margin-bottom: 10px;

    text-align: center;
    line-height: 108px;
    font-weight: bold;

    cursor: pointer;

    @include vendor('transition', 'background-color #{_duration(transition)} ease-in-out');
}

.medialibrary__dropzone--active,
.medialibrary__dropzone:hover {
    background-color: _palette(border-bg);
}

.medialibrary__dropzone--reject {
    background-color: transparentize(_palette(error), 0.25);
}
